## PhoshAppGrid

PhoshAppGrid

## Functions

GtkWidget * | phosh_app_grid_new ()
void | phosh_app_grid_reset ()
void | phosh_app_grid_focus_search ()
gboolean | phosh_app_grid_handle_search ()
void | phosh_app_grid_set_filter_adaptive ()

## Properties

gboolean | filter-adaptive | Read / Write

## Signals

void | app-launched | Run Last

## Types and Values

enum | PhoshAppFilterModeFlags
#define | PHOSH_TYPE_APP_GRID
struct | PhoshAppGridClass
| PhoshAppGrid

## Object Hierarchy

        GFlags
        ╰── PhoshAppFilterModeFlags
        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── PhoshAppGrid

## Implemented Interfaces

PhoshAppGrid implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### phosh_app_grid_new ()

    GtkWidget *
    phosh_app_grid_new (void);

### phosh_app_grid_reset ()

    void
    phosh_app_grid_reset (PhoshAppGrid *self);

### phosh_app_grid_focus_search ()

    void
    phosh_app_grid_focus_search (PhoshAppGrid *self);

### phosh_app_grid_handle_search ()

    gboolean
    phosh_app_grid_handle_search (PhoshAppGrid *self,
                                  GdkEvent *event);

### phosh_app_grid_set_filter_adaptive ()

    void
    phosh_app_grid_set_filter_adaptive (PhoshAppGrid *self,
                                        gboolean enable);

## Types and Values

### enum PhoshAppFilterModeFlags

Controls what kind of app filtering is done.

#### Members

PHOSH_APP_FILTER_MODE_FLAGS_NONE | No filtering |
PHOSH_APP_FILTER_MODE_FLAGS_ADAPTIVE | Only show apps in mobile mode that adapt to smalls screen sizes. |

### PHOSH_TYPE_APP_GRID

    #define PHOSH_TYPE_APP_GRID phosh_app_grid_get_type()

### struct PhoshAppGridClass

    struct PhoshAppGridClass {
      GtkBoxClass parent_class;
    };

### PhoshAppGrid

    typedef struct _PhoshAppGrid PhoshAppGrid;

## Property Details

### The `“filter-adaptive”` property

      “filter-adaptive”          gboolean

Whether only adaptive apps should be shown

Owner: PhoshAppGrid

Flags: Read / Write

Default value: FALSE

## Signal Details

### The `“app-launched”` signal

    void
    user_function (PhoshAppGrid *phoshappgrid,
                   GAppInfo     *arg1,
                   gpointer      user_data)

Flags: Run Last